declare const SUPPORTS_CUSTOM_STATES: boolean;
/**
 * CustomStateSet Polyfill for :state() syntax downleveled to legacy :--state syntax (Chromium < v123)
 * https://html.spec.whatwg.org/multipage/custom-elements.html#exposing-custom-element-states
 *
 * https://bugzilla.mozilla.org/show_bug.cgi?id=1588763
 */
declare class CustomStateSetPolyfill extends Set {
    private _stateSet;
    private _element;
    constructor(stateSet: CustomStateSet, element: HTMLElement);
    add(state: string): this;
    delete(state: string): boolean;
    clear(): void;
}
declare function customStateSetPolyfill(): void;
declare function replaceToLegacyState(value: string): string;
